ShowEnv (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.cmd
Class ShowEnv

    java.lang.Object
      org.hyperic.sigar.shell.ShellCommandBase
          org.hyperic.sigar.cmd.SigarCommandBase
              org.hyperic.sigar.cmd.ShowEnv

All Implemented Interfaces:
  ShellCommandHandler, GetlineCompleter

    public class ShowEnv

extends SigarCommandBase

Show process environment.

Field Summary

Fields inherited from class org.hyperic.sigar.cmd.SigarCommandBase
`err, out, output, proxy, shell, sigar`

Fields inherited from class org.hyperic.sigar.shell.ShellCommandBase
`itsCommandName, itsShell`

Constructor Summary
`ShowEnv()`
`ShowEnv(Shell shell)`

Method Summary
`java.lang.String` | `getUsageShort()` Get a very brief (40 character) description of the command
`boolean` | `isPidCompleter()`
`static void` | `main(java.lang.String[] args)`
`void` | `output(long pid)`
`void` | `output(java.lang.String[] args)`
`protected boolean` | `validateArgs(java.lang.String[] args)`

Methods inherited from class org.hyperic.sigar.cmd.SigarCommandBase
`complete, completePid, flush, getCompleter, getCompletions, getFormatter, printf, printf, printf, println, processCommand, setOutputFormat, sprintf`

Methods inherited from class org.hyperic.sigar.shell.ShellCommandBase
`getCommandName, getErrStream, getOutStream, getShell, getSyntax, getSyntaxArgs, getUsageHelp, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowEnv

    public ShowEnv(Shell shell)

### ShowEnv

    public ShowEnv()

Method Detail

### validateArgs

    protected boolean validateArgs(java.lang.String[] args)

  Overrides:
    `validateArgs` in class `SigarCommandBase`

### getUsageShort

    public java.lang.String getUsageShort()

  Description copied from interface: `ShellCommandHandler`
  Get a very brief (40 character) description of the command

  Specified by:
    `getUsageShort` in interface `ShellCommandHandler`
  Overrides:
    `getUsageShort` in class `ShellCommandBase`
  Returns:
    A description of the command.

### isPidCompleter

    public boolean isPidCompleter()

  Overrides:
    `isPidCompleter` in class `SigarCommandBase`

### output

    public void output(java.lang.String[] args)
                throws SigarException

  Specified by:
    `output` in class `SigarCommandBase`
  Throws:
    `SigarException`

### output

    public void output(long pid)
                throws SigarException

  Throws:
    `SigarException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.